#include <iostream>
#include <stdio.h>
#include <stdlib.h>
using namespace std;

int main()
{
    long p,q,r,br=0,p1,q1,r1,x,y;
    scanf("%d",&p);
    scanf("%d",&q);
    scanf("%d",&r);
    scanf("%d",&x);
    scanf("%d",&y);
    for (long long i = x; i <= y; i++)
    {
        p1 = i / p;
        q1 = i / q;
        r1 = i / r;
        if (i % p != 0)
        {
            p1++;
        }
        if (i % q != 0)
        {
            q1++;
        }
        if (i % r != 0)
        {
            r1++;
        }
        if (p1 + q1 + r1 <= i) br++;
    }
    printf("%d",br);
}